commit 8dafd508bb0b4d02ce082e57dab83c46c21ac79f
Author: freddy77 <freddy77>
Date:   Fri Feb 12 08:57:01 2010 +0000

    restrict some describecol checks to mssql only

diff --git a/ChangeLog b/ChangeLog
index 6f62bc4..7dafb0c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Feb 12 09:56:42 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/describecol.in:
+	- restrict some describecol checks to mssql only
+
 Tue Feb  9 09:39:15 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds_sysdep_private.h:
 	- add _snprintf define for windows (patch from David Dick)
@@ -2313,4 +2317,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2988 2010/02/09 08:40:07 freddy77 Exp $
+$Id: ChangeLog,v 1.2989 2010/02/12 08:57:01 freddy77 Exp $
diff --git a/src/odbc/unittests/describecol.in b/src/odbc/unittests/describecol.in
index d4ae363..f8217c1 100644
--- a/src/odbc/unittests/describecol.in
+++ b/src/odbc/unittests/describecol.in
@@ -152,7 +152,7 @@ attr SQL_DESC_PRECISION 11
 attr SQL_DESC_SCALE 0
 attr SQL_DESC_DISPLAY_SIZE 11
 
-select nchar(12) 'hi!'
+select nchar(12) 'hi!'+nchar(10)
 attr SQL_COLUMN_LENGTH 24
 attr SQL_COLUMN_PRECISION 12
 attr SQL_COLUMN_SCALE 0
@@ -162,7 +162,7 @@ attr SQL_DESC_PRECISION 12
 attr SQL_DESC_SCALE 0
 attr SQL_DESC_DISPLAY_SIZE 12
 
-select nvarchar(13) 'hi!'
+select nvarchar(13) 'hi!'+nchar(10)
 attr SQL_COLUMN_LENGTH 26
 attr SQL_COLUMN_PRECISION 13
 attr SQL_COLUMN_SCALE 0
@@ -378,7 +378,7 @@ attr SQL_DESC_PRECISION 11
 attr SQL_DESC_SCALE 0
 attr SQL_DESC_DISPLAY_SIZE 11
 
-select nchar(12) 'hi!'
+select nchar(12) 'hi!'+nchar(10)
 attr SQL_COLUMN_LENGTH 24
 attr SQL_COLUMN_PRECISION 12
 attr SQL_COLUMN_SCALE 0
@@ -388,7 +388,7 @@ attr SQL_DESC_PRECISION 12
 attr SQL_DESC_SCALE 0
 attr SQL_DESC_DISPLAY_SIZE 12
 
-select nvarchar(13) 'hi!'
+select nvarchar(13) 'hi!'+nchar(10)
 attr SQL_COLUMN_LENGTH 26
 attr SQL_COLUMN_PRECISION 13
 attr SQL_COLUMN_SCALE 0

